EVE Launcher

 
 

Windows Creators Update has killed my EvE Launcher

First post
Author
Fidelas Constans
#1 - 2017-04-24 17:44:18 UTC
Just upgraded to the WIndows creators update and now my EvE launcher will not launch. Any ideas please folks? All other applications are unaffected.

I'd rather not to do a full system restore to my previous windows 10 install.

Thanks
C C P Alliance
#2 - 2017-04-27 14:50:37 UTC
Hi!

If your using an Nvidia Geforce card then some players have been reporting reinstalling the Graphic driver resolves the issue.

If your using an AMD Graphic card and using AMD Driver 17.4.3 then reverting to 17.2.1 should also resolve the issue until we get a new driver update from AMD

With regards,

GM Mechanic,

CCP Customer Service | EVE Online | EVE Valkyrie

Shadow of xXDEATHXx
#3 - 2017-05-24 09:19:39 UTC
GM Mechanic wrote:
Hi!

If your using an Nvidia Geforce card then some players have been reporting reinstalling the Graphic driver resolves the issue.

If your using an AMD Graphic card and using AMD Driver 17.4.3 then reverting to 17.2.1 should also resolve the issue until we get a new driver update from AMD


So we should stop playing games that require the latest drivers?
For example Mass Effect Andromeda requires a driver 17.4. +

I ask the CCP to exert all resources and make a corrections, as the game continues NOT to be launched (for today).
Freedom Among the Stars
#4 - 2017-05-24 13:52:02 UTC  |  Edited by: FlexiusVII
iCONFUSED wrote:
GM Mechanic wrote:
Hi!

If your using an Nvidia Geforce card then some players have been reporting reinstalling the Graphic driver resolves the issue.

If your using an AMD Graphic card and using AMD Driver 17.4.3 then reverting to 17.2.1 should also resolve the issue until we get a new driver update from AMD


So we should stop playing games that require the latest drivers?
For example Mass Effect Andromeda requires a driver 17.4. +

I ask the CCP to exert all resources and make a corrections, as the game continues NOT to be launched (for today).

There is no proper 'requirement', at least in ME:A. It's popping out a scary warning, but otherwise it worked just fine for me.
In any case, if anything doesn't work out with older drivers, you can always go back.

Practice makes perfect.

Forum Jump